
default['nagios']['conf']['log_file']                                    = "#{node['nagios']['log_dir']}/#{node['nagios']['server']['name']}.log"
default['nagios']['conf']['cfg_dir']                                     = node['nagios']['config_dir']
default['nagios']['conf']['object_cache_file']                           = "#{node['nagios']['cache_dir']}/objects.cache"
default['nagios']['conf']['precached_object_file']                       = "#{node['nagios']['cache_dir']}/objects.precache"
default['nagios']['conf']['resource_file']                               = "#{node['nagios']['resource_dir']}/resource.cfg"
default['nagios']['conf']['temp_file']                                   = "#{node['nagios']['cache_dir']}/#{node['nagios']['server']['name']}.tmp"
default['nagios']['conf']['status_file']                                 = "#{node['nagios']['cache_dir']}/status.dat"
default['nagios']['conf']['nagios_user']                                 = node['nagios']['user']
default['nagios']['conf']['nagios_group']                                = node['nagios']['group']
default['nagios']['conf']['log_archive_path']                            = "#{node['nagios']['log_dir']}/archives"
default['nagios']['conf']['command_file']                                = "#{node['nagios']['state_dir']}/rw/#{node['nagios']['server']['name']}.cmd"
default['nagios']['conf']['lock_file']                                   = "#{node['nagios']['run_dir']}/#{node['nagios']['server']['vname']}.pid"
default['nagios']['conf']['state_retention_file']                        = "#{node['nagios']['state_dir']}/retention.dat"
default['nagios']['conf']['max_service_check_spread']                    = '30'
default['nagios']['conf']['check_result_path']                           =
  if node['platform'] == 'centos' && node['platform_version'].to_i >= 7
    "#{node['nagios']['home']}/checkresults"
  else
    "#{node['nagios']['state_dir']}/spool/checkresults"
  end
default['nagios']['conf']['max_host_check_spread']                       = '30'
default['nagios']['conf']['interval_length']                             = '60'
default['nagios']['conf']['admin_email']                                 = node['nagios']['sysadmin_email']
default['nagios']['conf']['admin_pager']                                 = node['nagios']['sysadmin_sms_email']
default['nagios']['conf']['debug_file']                                  = "#{node['nagios']['state_dir']}/#{node['nagios']['server']['name']}.debug"

if node['nagios']['server']['install_method'] == 'source' ||
   (node['platform_family'] == 'rhel' && node['platform_version'].to_i >= 6) ||
   (node['platform'] == 'debian' && node['platform_version'].to_i >= 7) ||
   (node['platform'] == 'ubuntu' && node['platform_version'].to_f >= 14.04)
  default['nagios']['conf']['allow_empty_hostgroup_assignment'] = '1'
  default['nagios']['conf']['service_check_timeout_state']      = 'c'
end

case node['platform_family']
when 'debian'
  default['nagios']['conf']['p1_file'] = "#{node['nagios']['home']}/p1.pl"
when 'rhel', 'amazon'
else
  default['nagios']['conf']['p1_file'] = "#{node['nagios']['home']}/p1.pl"
end
